Support » Plugin: Agnosia Bootstrap Carousel by AuSoft » How to use plugin with roots theme

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author Andrés Villarreal

    (@andrezrv)

    Hi, thanks for your comments!

    Can you provide an example of the shortcode you’re using?

    It’s the same as one of your examples with my pic ids and name changed

    [gallery type="carousel" ids="8,9,10,11" name="topcarousel"]

    Plugin Author Andrés Villarreal

    (@andrezrv)

    OK, I took a look at Root’s code, and the source of the issue is that they’re using a modified [gallery] shortcode too, in order to display a gallery with their own styles. In a future version I should have to keep this in mind, but as of now, you can do a quick fix by pasting this code into the lib/custom.php file (or into functions.php) of your theme:

    remove_theme_support( 'bootstrap-gallery' );

    This will remove the usage of Root’s modified [gallery] shortcode, so you will be able to use the carousel instead.

    Please let me know if this was of any help!

    I tried adding:

    remove_theme_support( ‘bootstrap-gallery’ );

    to /lib/custom.php, functions.php, index.php, and inline on the page, and no luck. Thank you anyway, I guess I’ll Have to setup a carousel another way.

    I tried adding:

    remove_theme_support( ‘bootstrap-gallery’ );

    to /lib/custom.php, functions.php, index.php, and inline on the page, and no luck. Thank you anyway, I guess I’ll Have to setup a carousel another way.

    By that I mean I did each of those individually, not all at the same time. Just wanted to clarify.

    Plugin Author Andrés Villarreal

    (@andrezrv)

    That’s strange. Are you using a recent version of Roots? Also, be sure that you’re not using some other plugin that modifies the [gallery] shortcode on its own.

    I just downloaded it yesterday from their site and installed it. The only plugin that I have installed thus far is yours, I’m setting up this site bit, by, bit and that is the first part.

    I thought this plugin would be a good one for the roots theme too, but ran into the same issue. Trying remove_theme_support( ‘bootstrap-gallery’ ); did not work in index.php, custom.php or function.php. I suspect it has to do with roots executes in a different order than different templates. But, adding remove_theme_support( ‘bootstrap-gallery’ ); in config.php or just commenting out theme_support( ‘bootstrap-gallery’ ); worked for me.

    Plugin Author Andrés Villarreal

    (@andrezrv)

    Hi everybody again. This issue has been resolved in version 0.3. Now the plugin is fully compatible with Roots Theme, without having to remove any theme support.

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘How to use plugin with roots theme’ is closed to new replies.